=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2008-04-24 07:22:53 +0000
+++ bzrlib/builtins.py	2008-05-08 04:21:01 +0000
@@ -2908,7 +2908,7 @@
             merger.show_base = show_base
             self.sanity_check_merger(merger)
             if (merger.base_rev_id == merger.other_rev_id and
-                merger.other_rev_id != None):
+                merger.other_rev_id is not None):
                 note('Nothing to do.')
                 return 0
             if pull:

=== modified file 'bzrlib/commands.py'
--- bzrlib/commands.py	2008-04-24 07:22:53 +0000
+++ bzrlib/commands.py	2008-05-08 04:21:01 +0000
@@ -398,7 +398,7 @@
             if line.startswith(':') and line.endswith(':') and len(line) > 2:
                 save_section(sections, label, section)
                 label,section = line[1:-1],''
-            elif label != None and len(line) > 1 and not line[0].isspace():
+            elif (label is not None) and len(line) > 1 and not line[0].isspace():
                 save_section(sections, label, section)
                 label,section = None,line
             else:

=== modified file 'bzrlib/smart/protocol.py'
--- bzrlib/smart/protocol.py	2008-04-24 07:22:53 +0000
+++ bzrlib/smart/protocol.py	2008-05-08 04:21:01 +0000
@@ -41,7 +41,7 @@
 
 
 def _decode_tuple(req_line):
-    if req_line == None or req_line == '':
+    if req_line is None or req_line == '':
         return None
     if req_line[-1] != '\n':
         raise errors.SmartProtocolError("request %r not terminated" % req_line)

=== modified file 'bzrlib/status.py'
--- bzrlib/status.py	2008-04-24 07:22:53 +0000
+++ bzrlib/status.py	2008-05-08 04:21:01 +0000
@@ -180,7 +180,7 @@
             to_file.write(line_log(m_revision, width - len(prefix)))
             to_file.write('\n')
             inner_merges = branch.repository.get_ancestry(merge)
-            if inner_merges.pop(0) != None:
+            if inner_merges.pop(0) is not None:
                 raise AssertionError()
             inner_merges.reverse()
             for mmerge in inner_merges:

=== modified file 'bzrlib/tests/test_plugins.py'
--- bzrlib/tests/test_plugins.py	2008-04-06 08:36:27 +0000
+++ bzrlib/tests/test_plugins.py	2008-05-08 04:21:01 +0000
@@ -451,7 +451,7 @@
                 bzrlib.plugins.__path__[:len(expected_path)])
         finally:
             bzrlib.plugins.__path__ = old_path
-            if old_env != None:
+            if old_env is not None:
                 os.environ['BZR_PLUGIN_PATH'] = old_env
             else:
                 del os.environ['BZR_PLUGIN_PATH']

=== modified file 'bzrlib/tests/test_registry.py'
--- bzrlib/tests/test_registry.py	2008-03-07 11:46:20 +0000
+++ bzrlib/tests/test_registry.py	2008-05-08 04:21:01 +0000
@@ -41,7 +41,7 @@
 
         self.failUnless(a_registry.default_key is None)
 
-        # test get() (self.default_key == None)
+        # test get() (self.default_key is None)
         self.assertRaises(KeyError, a_registry.get)
         self.assertRaises(KeyError, a_registry.get, None)
         self.assertEqual(2, a_registry.get('two'))

=== modified file 'bzrlib/tests/workingtree_implementations/test_walkdirs.py'
--- bzrlib/tests/workingtree_implementations/test_walkdirs.py	2007-11-12 19:54:30 +0000
+++ bzrlib/tests/workingtree_implementations/test_walkdirs.py	2008-05-08 04:21:01 +0000
@@ -33,7 +33,7 @@
         self.file_path = file_path
         self.abspath = tree.abspath(file_path)
         self.relpath = tree.relpath(file_path)
-        if file_name == None:
+        if file_name is None:
            file_name = os.path.split(file_path)[-1]
            if len(file_name) == 0:
                file_name = os.path.split(file_path)[-2]

=== modified file 'bzrlib/transform.py'
--- bzrlib/transform.py	2008-04-24 07:22:53 +0000
+++ bzrlib/transform.py	2008-05-08 04:21:01 +0000
@@ -1941,7 +1941,7 @@
                     # preserve the execute bit when backing up
                     if keep_content and executable[0] == executable[1]:
                         tt.set_executability(executable[1], trans_id)
-                elif kind[1] != None:
+                elif kind[1] is not None:
                     raise AssertionError(kind[1])
             if versioned == (False, True):
                 tt.version_file(file_id, trans_id)

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2008-04-24 07:22:53 +0000
+++ bzrlib/workingtree.py	2008-05-08 04:21:01 +0000
@@ -1937,7 +1937,7 @@
                             # ... but not ignored
                             has_changed_files = True
                             break
-                    elif content_change and (kind[1] != None):
+                    elif content_change and (kind[1] is not None):
                         # Versioned and changed, but not deleted
                         has_changed_files = True
                         break

=== modified file 'bzrlib/workingtree_4.py'
--- bzrlib/workingtree_4.py	2008-04-24 07:22:53 +0000
+++ bzrlib/workingtree_4.py	2008-05-08 04:21:01 +0000
@@ -551,7 +551,7 @@
         Note: The caller is expected to take a read-lock before calling this.
         """
         relpath = self.id2path(file_id)
-        if relpath == None:
+        if relpath is None:
             raise AssertionError(
                 "path for id {%s} is None!" % file_id)
         return self._kind(relpath)
@@ -1577,7 +1577,7 @@
 
     def get_file_lines(self, file_id):
         entry = self._get_entry(file_id=file_id)[1]
-        if entry == None:
+        if entry is None:
             raise errors.NoSuchId(tree=self, file_id=file_id)
         return self._get_weave(file_id).get_lines(entry[1][4])
 
@@ -1638,7 +1638,7 @@
 
     def kind(self, file_id):
         entry = self._get_entry(file_id=file_id)[1]
-        if entry == None:
+        if entry is None:
             raise errors.NoSuchId(tree=self, file_id=file_id)
         return dirstate.DirState._minikind_to_kind[entry[1][0]]
 

